import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 18.12.2011
  * @author
  */

public class neck extends JFrame {
  // Anfang Attribute
  private Panel panel1 = new Panel(null);
    private Button button1 = new Button();
    private Label label1 = new Label();
    private TextField textField1 = new TextField();
  private Turtle turtle1 = new Turtle(100, 100);
  // Ende Attribute

  public neck(String title) {
    // Frame-Initialisierung
    super(title);
    setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
    int frameWidth = 303; 
    int frameHeight = 306;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    setResizable(true);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    panel1.setBounds(0, 0, 305, 41);
    panel1.setBackground(new Color(0xC0C0C0));
    panel1.addHierarchyBoundsListener(new HierarchyBoundsAdapter() { 
      public void ancestorResized(HierarchyEvent evt) { 
        panel1_AncestorResized(evt);
      }
    });
    cp.add(panel1);
    button1.setBounds(8, 8, 97, 25);
    button1.setLabel("Zeichnen");
    button1.addActionListener(new ActionListener() { 
      public void actionPerformed(ActionEvent evt) { 
        button1_ActionPerformed(evt);
      }
    });
    panel1.add(button1);
    turtle1.setBounds(0, 40, 305, 241);
    turtle1.setBackground(Color.WHITE);
    turtle1.addHierarchyBoundsListener(new HierarchyBoundsAdapter() { 
      public void ancestorResized(HierarchyEvent evt) { 
        turtle1_AncestorResized(evt);
      }
    });
    cp.add(turtle1);
    turtle1.setBounds(304, 40, 60, 84);
    setTitle("Turtle-Intro");
    label1.setBounds(120, 8, 83, 25);
    label1.setText(" Eckenzahl =");
    panel1.add(label1);
    textField1.setBounds(208, 8, 89, 25);
    textField1.setText("3");
    panel1.add(textField1);
    // Ende Komponenten

    setVisible(true);
  }

  // Anfang Methoden
  public void button1_ActionPerformed(ActionEvent evt) {
    turtle1.drawDynamic = true;
    turtle1.sleepTime = 250;
    int n = Integer.parseInt(textField1.getText());
    if (n > 2) {
      turtle1.moveto(turtle1.getWidth() * 0.5, turtle1.getHeight() * 0.5);
      double r = turtle1.getWidth() / 3.0;
      double zw = 360.0 / n;
      double s = 2*r*Math.sin((zw/2)*(Math.PI/180));
      turtle1.clear();
      turtle1.move(r);
      turtle1.turn(90 + zw/2);
      int i = 0;
      while (i < n) {
        turtle1.draw(s);
        turtle1.turn(zw);
        i++;
      }
    } else {
      textField1.setText("Muss > 2 sein!");
    }
  }

  public void panel1_AncestorResized(HierarchyEvent evt) {
    panel1.setBounds(0, 0, getWidth(), 50);
  }
  
  public void turtle1_AncestorResized(HierarchyEvent evt) {
    turtle1.setBounds(0, 50, getWidth(), getHeight() - 50);
  }

  // Ende Methoden
  
  public static void main(String[] args) {
    new neck("neck");
  }
  
}